Summary:	KDE Frameworks 5 address book module
Name:		kcontacts
Version:	17.12.3
Release:	1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5codecs-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)

%description
KDE Frameworks 5 address book module.

KContacts provides an API for address book data. This can be used by all
application using data of this type, e.g. KAddressBook, KMail, KOrganizer,
etc.

%files
%{_kde5_datadir}/kf5/kcontacts/countrytransl.map

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE Frameworks 5 address book module translations
Group:		System/Internationalization
Conflicts:	kde5-l10n < 17.04
BuildArch:	noarch

%description i18n
KDE Frameworks 5 address book module translations.

%files i18n -f kcontacts5.lang

#----------------------------------------------------------------------------

%define kf5contacts_major 5
%define libkf5contacts %mklibname kf5contacts %{kf5contacts_major}

%package -n %{libkf5contacts}
Summary:	KDE Frameworks 5 address book shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5contacts}
KDE Frameworks 5 address book shared library.

%files -n %{libkf5contacts}
%{_kde5_libdir}/libKF5Contacts.so.%{kf5contacts_major}*

#----------------------------------------------------------------------------

%define devkf5contacts %mklibname kf5contacts -d

%package -n %{devkf5contacts}
Summary:	Development files for KDE Frameworks 5 address book module
Group:		Development/KDE and Qt
Requires:	%{libkf5contacts} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5contacts-devel = %{version}

%description -n %{devkf5contacts}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5contacts}
%{_kde5_includedir}/KF5/KContacts
%{_kde5_includedir}/KF5/kcontacts_version.h
%{_kde5_libdir}/cmake/KF5Contacts
%{_kde5_libdir}/libKF5Contacts.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang kcontacts5

%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (7b7f4e2) New version 17.12.3


